#%%global         prerelease alpha

Name:           proot
Version:        5.4.0
Release:        1%{?prerelease:.%{prerelease}}%{?dist}
Summary:        chroot, mount --bind, and binfmt_misc without privilege/setup for Linux

License:        GPLv2
URL:            https://github.com/proot-me/proot
Source0:        %{url}/archive/v%{version}%{?prerelease:-%{prerelease}}/%{name}-%{version}-%{?prerelease:-%{prerelease}}.tar.gz

BuildRequires:  gcc
BuildRequires:  git
BuildRequires:  libtalloc-devel
BuildRequires:  libarchive-devel
BuildRequires:  uthash-devel
# needed for documentation
BuildRequires:  python3-docutils
BuildRequires:  sed
BuildRequires:  libxslt

%description
chroot, mount --bind, and binfmt_misc without privilege/setup for Linux

%prep
%autosetup -n %{name}-%{version}%{?prerelease:-%{prerelease}}


%build
%{set_build_flags}
%make_build -C src loader.elf loader-m32.elf build.h
%make_build -C src proot

%install
mkdir -p %{buildroot}%{_bindir}
%make_install -C src BINDIR="%{_bindir}"

%files
%license COPYING
%{_bindir}/proot


%changelog
* Sat Oct 28 2023 Jan Drögehoff <sentrycraft123@gmail.com> - 5.4.0-1
- Update to 5.4.0

* Wed Apr 19 2023 Jan Drögehoff <sentrycraft123@gmail.com> - 5.3.1-1
- Update to 5.3.1

* Sat Mar 26 2022 Jan Drögehoff <sentrycraft123@gmail.com> - 5.3.0-1
- Update to 5.3.0

* Mon Apr 27 2020 Jan Drögehoff <sentrycraft123@gmail.com> - 5.2.0-1.alpha
- Initial build using v5.2.0-alpha


